---
search:
  tags:
    - DAM V2
    - PATCH
seo:
  description: >-
    Updates a shareable link. Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/dam/shareable-links/{link_id} endpoint in the
    Management API.
sidebar:
  label: Patch shareable link
  badge: PATCH
title: Patch shareable link
type: openapi-operation
---
Updates a shareable link.

`PATCH /api/v2/{team_slug}/{app_slug}/dam/shareable-links/{link_id}`

**Request body** (`application/json`, required)

- `description` (string)
- `expires_at` (string<date-time>)

Request body example:

```json
{
  "description": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}
```

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "token": "string",
    "description": "string",
    "expires_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
```
